## org.apache.batik.bridge
Class RepaintManager

    java.lang.Object
      org.apache.batik.bridge.RepaintManager

public class RepaintManager
extends java.lang.Object

This class manages the rendering of a GVT tree.

Field Summary
`protected ImageRenderer` `renderer` The renderer used to repaint the buffer.

Constructor Summary
`RepaintManager(ImageRenderer r)` Creates a new repaint manager.

Method Summary
`java.awt.image.BufferedImage` `getOffScreen()` Returns the renderer's offscreen, i.e., the current state as rendered by the associated renderer.
`void` `setupRenderer(java.awt.geom.AffineTransform u2d, boolean dbr, java.awt.Shape aoi, int width, int height)` Sets up the renderer so that it is ready to render for the new 'context' defined by the user to device transform, double buffering state, area of interest and width/height.
`java.util.Collection` `updateRendering(java.util.Collection areas)` Updates the rendering buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### renderer

    protected ImageRenderer renderer

  The renderer used to repaint the buffer.

Constructor Detail

### RepaintManager

    public RepaintManager(ImageRenderer r)

  Creates a new repaint manager.

Method Detail

### updateRendering

    public java.util.Collection updateRendering(java.util.Collection areas)
                                         throws java.lang.InterruptedException

  Updates the rendering buffer.

  Returns:
    the list of the rectangles to repaint.
  Throws:
    `java.lang.InterruptedException`

### setupRenderer

    public void setupRenderer(java.awt.geom.AffineTransform u2d,
                              boolean dbr,
                              java.awt.Shape aoi,
                              int width,
                              int height)

  Sets up the renderer so that it is ready to render for the new 'context' defined by the user to device transform, double buffering state, area of interest and width/height.

  Parameters:
    `u2d` - The user to device transform.
    `dbr` - Whether the double buffering should be used.
    `aoi` - The area of interest in the renderer space units.

### getOffScreen

    public java.awt.image.BufferedImage getOffScreen()

  Returns the renderer's offscreen, i.e., the current state as rendered by the associated renderer.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.